Bug 738574 - active luks mappings for encrypted lvm lvs prevent correct device scan
Summary: active luks mappings for encrypted lvm lvs prevent correct device scan
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:66391baaaf9b48842424095fefa...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-15 08:45 UTC by Han Pingtian
Modified: 2013-02-14 00:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-14 00:52:50 UTC


Attachments (Terms of Use)
the anaconda log asked (76.89 KB, application/x-gzip)
2011-09-16 05:50 UTC, Han Pingtian
no flags Details

Description Han Pingtian 2011-09-15 08:45:24 UTC
abrt version: 2.0.5
executable:     /usr/bin/python
hashmarkername: anaconda
kernel:         3.0.0-1.fc16.x86_64
product:        Fedora
reason:         DeviceError: ('cannot replace active format', 'tmp-VolGroup00-root_lv1')
time:           Thu Sep 15 16:45:22 2011
version:        16-Alpha

description:
:The following was filed automatically by anaconda:
:anaconda 16.14.6 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devices.py", line 917, in _setFormat
:    raise DeviceError("cannot replace active format", self.name)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devices.py", line 926, in <lambda>
:    lambda d,f: d._setFormat(f),
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/iw/lvm_dialog_gui.py", line 768, in editLogicalVolume
:    templv.format = format
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/iw/partition_gui.py", line 1741, in editLVMLogicalVolume
:    vgeditor.editLogicalVolume(lv, isNew = isNew)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/iw/partition_gui.py", line 1604, in editCB
:    self.editLVMLogicalVolume(lv = device)
:DeviceError: ('cannot replace active format', 'tmp-VolGroup00-root_lv1')

Comment 1 Han Pingtian 2011-09-15 08:59:56 UTC
I have tree luks lv device, but the installer only asked me password for one of them. And there is no "global password for other device" check box any more as before. Then, the tree luks lv's format are all 'Unkonwn' in creating custom installation device.

Comment 2 Chris Lumens 2011-09-15 14:19:00 UTC
Please attach /tmp/anaconda-tb-* to this bug report.  Thanks.

Comment 3 David Lehman 2011-09-15 15:44:20 UTC
(In reply to comment #1)
> I have tree luks lv device, but the installer only asked me password for one of
> them. And there is no "global password for other device" check box any more as

Anaconda has changed its behavior to more closely resembled that of plymouth. That is, we collect passphrases and try to use them when we find new encrypted devices instead of prompting over and over again. This means that we try to treat all passphrases as global now.

> before. Then, the tree luks lv's format are all 'Unkonwn' in creating custom
> installation device.

This sounds similar to bug 693095.

Comment 4 Han Pingtian 2011-09-16 05:50:26 UTC
Created attachment 523506 [details]
the anaconda log asked

Comment 5 David Lehman 2011-09-28 16:57:13 UTC
I think that this will no longer be an issue with F16 Beta, but there is still a bug here with the handling of open encrypted logical volumes when populating the device tree due to special handling of lvm devices.

It appears that the luks mappings are getting activated during the search for upgradeable roots, but are not getting deactivated due to bug 693095. Then, the second time populating the devicetree, we fail to associate the luks devices with the logical volumes since the instantiation of the logical volume devices is delayed until the very end of device scanning.

So, like I said, this should be a non-issue for you with F16 Beta. I'll work on the remaining issue anyway.

Comment 6 Fedora End Of Life 2013-01-16 22:19:42 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Fedora End Of Life 2013-02-14 00:52:54 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.